package cn.iocoder.yudao.module.bpm.controller.admin.definition.vo.copy;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel(value = "管理后台 - 流程抄送 Excel 导出 Request VO", description = "参数和 ProcessCopyPageReqVO 是一致的")
@Data
public class ProcessCopyExportReqVO {

    @ApiModelProperty(value = "抄送标题")
    private String title;

    @ApiModelProperty(value = "流程主键")
    private String processId;

    @ApiModelProperty(value = "流程名称")
    private String processName;

    @ApiModelProperty(value = "流程分类主键")
    private String categoryId;

    @ApiModelProperty(value = "部署主键")
    private String deploymentId;

    @ApiModelProperty(value = "流程实例主键")
    private String instanceId;

    @ApiModelProperty(value = "任务主键")
    private String taskId;

    @ApiModelProperty(value = "用户主键")
    private Long userId;

    @ApiModelProperty(value = "发起人主键")
    private Long originatorId;

    @ApiModelProperty(value = "发起人名称")
    private String originatorName;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
