package cn.iocoder.yudao.module.bpm.controller.admin.task.vo.task;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;
import java.util.Map;

/**
 * @author Administrator
 */
@ApiModel("管理后台 - 不通过流程任务的 Request VO")
@Data
public class BpmTaskReqVO {
    @ApiModelProperty(value = "任务编号", required = true, example = "1024")
    @NotEmpty(message = "任务编号不能为空")
    private String id;

    @ApiModelProperty("任务名称")
    private String taskName;

    @ApiModelProperty(value = "审批意见", required = true, example = "不错不错！")
    @NotEmpty(message = "审批意见不能为空")
    private String comment;

    @ApiModelProperty("用户Id")
    private Long userId;

    @ApiModelProperty("流程实例Id")
    private String instanceId;

    @ApiModelProperty("流程变量信息")
    private Map<String, Object> values;

    @ApiModelProperty("审批人")
    private String assignee;

    @ApiModelProperty("候选人")
    private List<String> candidateUsers;

    @ApiModelProperty("审批组")
    private List<String> candidateGroups;

    @ApiModelProperty("抄送用户Id")
    private String[] copyUserIds;

    /**
     * 发起人主键
     */
    private Long originatorId;

    /**
     * 发起人名称
     */
    private String originatorName;
}
