package cn.iocoder.yudao.module.bpm.dal.dataobject.definition;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 流程抄送 DO
 *
 * @author 系统管理员
 */
@TableName(value = "bpm_process_copy", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProcessCopyDO extends BaseDO {
    /**
     * 编号，自增
     */
    @TableId
    private Long id;

    /**
     * 抄送标题
     */
    private String title;
    /**
     * 流程主键
     */
    private String processId;
    /**
     * 流程名称
     */
    private String processName;
    /**
     * 流程分类主键
     */
    private String categoryId;
    /**
     * 部署主键
     */
    private String deploymentId;
    /**
     * 流程实例主键
     */
    private String instanceId;
    /**
     * 任务主键
     */
    private String taskId;
    /**
     * 用户主键
     */
    private Long userId;
    /**
     * 发起人主键
     */
    private Long originatorId;
    /**
     * 发起人名称
     */
    private String originatorName;

    @TableField(exist = false)
    private String businessNo;

}
