package cn.iocoder.yudao.module.bpm.dal.mysql.definition;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.bpm.controller.admin.definition.vo.copy.ProcessCopyExportReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.definition.vo.copy.ProcessCopyPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.task.vo.instance.BpmProcessInstanceMyPageReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.definition.ProcessCopyDO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.task.BpmProcessInstanceExtDO;
import cn.iocoder.yudao.module.wealth.vo.commissionPayable.CommissionPayableBackVO;
import cn.iocoder.yudao.module.wealth.vo.commissionPayable.CommissionPayableQueryVO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultType;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 流程抄送 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface ProcessCopyMapper extends BaseMapperX<ProcessCopyDO> {

    default PageResult<ProcessCopyDO> selectPage(ProcessCopyPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ProcessCopyDO>()
                .likeIfPresent(ProcessCopyDO::getTitle, reqVO.getTitle())
                .eqIfPresent(ProcessCopyDO::getProcessId, reqVO.getProcessId())
                .likeIfPresent(ProcessCopyDO::getProcessName, reqVO.getProcessName())
                .eqIfPresent(ProcessCopyDO::getCategoryId, reqVO.getCategoryId())
                .eqIfPresent(ProcessCopyDO::getDeploymentId, reqVO.getDeploymentId())
                .eqIfPresent(ProcessCopyDO::getInstanceId, reqVO.getInstanceId())
                .eqIfPresent(ProcessCopyDO::getTaskId, reqVO.getTaskId())
                .eqIfPresent(ProcessCopyDO::getUserId, reqVO.getUserId())
                .eqIfPresent(ProcessCopyDO::getOriginatorId, reqVO.getOriginatorId())
                .likeIfPresent(ProcessCopyDO::getOriginatorName, reqVO.getOriginatorName())
                .betweenIfPresent(ProcessCopyDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(ProcessCopyDO::getId));
    }

    default List<ProcessCopyDO> selectList(ProcessCopyExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<ProcessCopyDO>()
                .eqIfPresent(ProcessCopyDO::getTitle, reqVO.getTitle())
                .eqIfPresent(ProcessCopyDO::getProcessId, reqVO.getProcessId())
                .likeIfPresent(ProcessCopyDO::getProcessName, reqVO.getProcessName())
                .eqIfPresent(ProcessCopyDO::getCategoryId, reqVO.getCategoryId())
                .eqIfPresent(ProcessCopyDO::getDeploymentId, reqVO.getDeploymentId())
                .eqIfPresent(ProcessCopyDO::getInstanceId, reqVO.getInstanceId())
                .eqIfPresent(ProcessCopyDO::getTaskId, reqVO.getTaskId())
                .eqIfPresent(ProcessCopyDO::getUserId, reqVO.getUserId())
                .eqIfPresent(ProcessCopyDO::getOriginatorId, reqVO.getOriginatorId())
                .likeIfPresent(ProcessCopyDO::getOriginatorName, reqVO.getOriginatorName())
                .betweenIfPresent(ProcessCopyDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(ProcessCopyDO::getId));
    }

    @ResultType(ProcessCopyDO.class)
    @Select({
            "<script>",
            "SELECT",
            "t.* ,",
            "b.form_variables->> '$.businessNo' as business_no",
            "FROM",
            "bpm_process_copy t LEFT JOIN bpm_process_instance_ext b on t.instance_id=b.process_instance_id ",
            "WHERE",
            "t.deleted = 0 ",
            "<when test = 'reqVO.instanceId != null and reqVO.instanceId != \"\" '>",
            "and t.instance_id = #{reqVO.instanceId}",
            "</when>",
            "<when test = 'reqVO.processName != null and reqVO.processName != \"\" '>",
            "and t.process_name = #{reqVO.processName}",
            "</when>",
            "<when test = 'reqVO.categoryId != null and reqVO.categoryId != \"\" '>",
            "and t.category_id = #{reqVO.categoryId}",
            "</when>",
            "<when test = 'reqVO.beginCreateTime != null and reqVO.endCreateTime != null '>",
            "AND t.`create_time` between #{reqVO.beginCreateTime} and #{reqVO.endCreateTime}",
            "</when>",
            "<when test = 'reqVO.businessNo != null and reqVO.businessNo != \"\" '>",
            "AND  b.form_variables ->> '$.businessNo' LIKE concat('%',#{reqVO.businessNo},'%')",
            "</when>",
            " order by id desc ",
            "</script>"
    })
    IPage<ProcessCopyDO> getProcessCopyDoPage(@Param("mpPage") IPage<ProcessCopyDO> mpPage,  @Param("reqVO") ProcessCopyPageReqVO reqVO);




}
