package cn.iocoder.yudao.module.bpm.service.finance.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.wealth.service.FinancePaymentApproveService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Component
@Slf4j
public class BmpFinancePaymentApproveListener extends BpmProcessInstanceResultEventListener {

    @Resource
    FinancePaymentApproveService financePaymentApproveService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.FINANCE_PAYMENT_APPROVE.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("--------------------------------------------{},{}", event.getBusinessKey(), event.getResult());
        financePaymentApproveService.financeApproveCallBack(WorkFlowEmus.FINANCE_PAYMENT_APPROVE.getKey(), event.getBusinessKey(), event.getResult());
    }
}
