package cn.iocoder.yudao.module.bpm.service.finance.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.wealth.service.FinanceReceiptApproveService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Component
@Slf4j
public class BmpFinanceReceiptApproveListener extends BpmProcessInstanceResultEventListener {

    @Resource
    FinanceReceiptApproveService financeReceiptApproveService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.FINANCE_RECEIPT_APPROVE.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        //财务收款单 ecw_receipt
        //收款单或者收款明细审核表 ecw_receipt_approval
        log.info("--------------------------------------------{},{}", event.getBusinessKey(), event.getResult());
        financeReceiptApproveService.financeApproveCallBack(WorkFlowEmus.FINANCE_RECEIPT_APPROVE.getKey(), event.getBusinessKey(), event.getResult());
    }
}
