package cn.iocoder.yudao.module.bpm.service.finance.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.wealth.service.FinanceReceiptApproveService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Component
@Slf4j
public class BmpFinanceReceiptItemWriteOffListener extends BpmProcessInstanceResultEventListener {

    @Resource
    FinanceReceiptApproveService financeReceiptApproveService;
    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.FINANCE_RECEIPT_ITEM_WRITE_OFF.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("--------------------------------------------{},{}", event.getBusinessKey(), event.getResult());
        financeReceiptApproveService.financeApproveCallBack(WorkFlowEmus.FINANCE_RECEIPT_ITEM_WRITE_OFF.getKey(), event.getBusinessKey(), event.getResult());
    }
}
