package cn.iocoder.yudao.module.bpm.service.order.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.orderCargoControl.OrderCargoControlService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class BmpOrderModelChangeResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    OrderCargoControlService orderCargoControlService;
    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.ORDER_OVERSEAS_WAREHOUSE_CHANGE.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("----------------------控货订单海外仓修改审核----------------------,{},{}" + event.getBusinessKey(), event.getResult());
        orderCargoControlService.approvalOrderCargoControl(event.getBusinessKey(), event.getResult());
    }

}
