package cn.iocoder.yudao.module.bpm.service.order.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.order.OrderFeeApplicationService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;


@Component
@Slf4j
public class BpmOrdeFreeApplyResultListener extends BpmProcessInstanceResultEventListener {

    @Autowired
    OrderFeeApplicationService orderFeeApplicationService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.ORDER_FREE_APPLY.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("------------------费用审核回调--------------------------{},{}" , event.getBusinessKey(), event.getResult());
        //处理报应收款不存在的BUG
        orderFeeApplicationService.updateFeeApproveResult(event.getBusinessKey(), event.getResult());
    }

}
