package cn.iocoder.yudao.module.bpm.service.order.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.merge.MergeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Component
@Slf4j
public class BpmOrdeMergeOrderResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    MergeService mergeService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.ORDER_MERGE_ORDER.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("-------------------合单申请-------------------------" + event.getBusinessKey(), event.getResult());
        mergeService.updateOrderMergeResult(event.getBusinessKey(), event.getResult());
    }

}
