package cn.iocoder.yudao.module.bpm.service.order.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.orderSplit.OrderSplitService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Component
@Slf4j
public class BpmOrdeSplitOrderResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    OrderSplitService orderSplitService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.ORDER_SPLIT_ORDER.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("-------------------拆单审核回调-------------------------{},{}", event.getBusinessKey(), event.getResult());
        orderSplitService.splitApplyCallback(event.getBusinessKey(), event.getResult());
    }

}
