package cn.iocoder.yudao.module.bpm.service.order.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.orderWarehouseAdjust.OrderWarehouseAdjustService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class BpmOrdeWarehouseTransferResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    OrderWarehouseAdjustService orderWarehouseAdjustService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.ORDER_WAREHOUSE_TRANSFER.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("---------------------调仓回调-----------------------{},{}", event.getBusinessKey(), event.getResult());
        orderWarehouseAdjustService.adjustApplyCallback(event.getBusinessKey(), event.getResult());
    }

}
