package cn.iocoder.yudao.module.bpm.service.order.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.order.OrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class BpmOrderCommissionConfigResultListener extends BpmProcessInstanceResultEventListener {
    @Resource
    OrderService orderService;
    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.ORDER_COMMISSION_CONFIG.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("----------------------佣金设置审核回调----------------------{},{}", event.getBusinessKey(), event.getResult());
        orderService.approvalOrder(event.getBusinessKey(), event.getResult());
    }
}
