package cn.iocoder.yudao.module.bpm.service.order.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.orderException.OrderExceptionService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class BpmOrderNeePayResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    OrderExceptionService orderExceptionService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.ORDER_NEED_FIRST_PAY.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("--------------------------处理预付异常审核回调---------------------------{},{}", event.getBusinessKey(), event.getResult());
        orderExceptionService.updateApplyCallback(event.getBusinessKey(), event.getResult());
    }
}
