package cn.iocoder.yudao.module.bpm.service.order.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.orderCargoControlPick.OrderCargoControlPickService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class BpmOrderReleaseGoodsRecurrentNucleusResultListener extends BpmProcessInstanceResultEventListener {
    @Resource
    OrderCargoControlPickService orderCargoControlPickService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.ORDER_RELEASE_GOODS_RECURRENT_NUCLEUS.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("--------------------------放货反复核审核---------------------------{},{}", event.getBusinessKey(), event.getResult());
        orderCargoControlPickService.approvalOrderCargoControlPick(event.getBusinessKey(), event.getResult());
    }
}
