package cn.iocoder.yudao.module.bpm.service.order.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.orderWarehouseIn.OrderWarehouseInService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Component
@Slf4j
public class BpmOrderRetiredWarehouseResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    OrderWarehouseInService orderWarehouseInService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.ORDER_RETIRED_WAREHOUSE.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("---------------------入仓退仓回调-----------------------{},{}",
                event.getBusinessKey(), event.getResult());
        orderWarehouseInService.rollbackApplyCallback(event.getBusinessKey(),
                event.getResult());
    }

}
