package cn.iocoder.yudao.module.bpm.service.order.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.orderWarehouseIn.OrderWarehouseInService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/*
 入仓修改审批
 */
@Component
@Slf4j
public class BpmOrderWarehousingModificationResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    OrderWarehouseInService orderWarehouseInService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.ORDER_WAREHOUSING_MODIFICATION.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("-------------------入仓修改回调-------------------------{},{}",
                event.getBusinessKey(), event.getResult());
        orderWarehouseInService.updateApplyCallback(event.getBusinessKey(),
                event.getResult());
    }

}
