package cn.iocoder.yudao.module.bpm.service.quotation.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.ecw.api.customer.CustomerApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;


@Component
@Slf4j
public class BmpCustomerDelayPublicListener extends BpmProcessInstanceResultEventListener {

    @Autowired
    private CustomerApi customerApi;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.QUOTATION_CUSTOMER_DELAY_PUBLIC.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("客户延时进入公海池审核---------------{}，{}", event.getBusinessKey(), event.getResult());
        customerApi.approvalCustomerDelay(event.getBusinessKey(), event.getResult());
    }
}
