package cn.iocoder.yudao.module.bpm.service.quotation.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.ecw.api.customer.CustomerApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class BmpCustomerHandoverListener extends BpmProcessInstanceResultEventListener {
    @Resource
    private CustomerApi customerApi;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.QUOTATION_CUSTOMER_HANDOVER.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("批量移交审核---------------{}，{}", event.getBusinessKey(), event.getResult());
        customerApi.approvalCustomerTransfer(event.getBusinessKey(), event.getResult());
    }
}