package cn.iocoder.yudao.module.bpm.service.quotation.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.sale.service.offer.OfferService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;


@Component
@Slf4j
public class BmpQuotationSheetSaleListener extends BpmProcessInstanceResultEventListener {

    @Autowired
    OfferService offerService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.QUOTATION_SHEET_SALE.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("报价单特价审核---------------{}，{}", event.getBusinessKey(), event.getResult());
        offerService.approvalOffer(event.getBusinessKey(), event.getResult());
    }
}
