package cn.iocoder.yudao.module.bpm.service.quotation.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.sale.service.offer.OfferService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class BpmQuotationCommissionListener extends BpmProcessInstanceResultEventListener {

    @Resource
    OfferService offerService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.QUOTATION_COMMISSION_CONFIG.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("报价单佣金设置审核---------------{}，{}", event.getBusinessKey(), event.getResult());
        offerService.approvalOffer(event.getBusinessKey(), event.getResult());
    }
}
