package cn.iocoder.yudao.module.bpm.service.shipment.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.shipment.service.makeBillOfLading.MakeBillOfLadingService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Component
@Slf4j
public class BmpBillLadingListener extends BpmProcessInstanceResultEventListener {

    @Resource
    MakeBillOfLadingService makeBillOfLadingService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.SHIPMENT_BILL_LADING.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("---------------------提单审核回调-----------------------{},{}", event.getBusinessKey(), event.getResult());
        makeBillOfLadingService.updateBillOfLadingResult(event.getBusinessKey(), event.getResult());
    }
}
