package cn.iocoder.yudao.module.bpm.service.shipment.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.orderCargoControl.OrderCargoControlService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class BmpChangeReleaseGoodsLimitResultListener extends BpmProcessInstanceResultEventListener {


    @Resource
    OrderCargoControlService orderCargoControlService;
    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.ORDER_CONSIGNEE_LIMIT_CHANGE.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("----------------------变更放货限制回调----------------------,{},{}" + event.getBusinessKey(), event.getResult());
        orderCargoControlService.approvalOrderCargoControl(event.getBusinessKey(), event.getResult());
    }

}
