package cn.iocoder.yudao.module.bpm.service.shipment.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.orderException.OrderExceptionService;
import cn.iocoder.yudao.module.shipment.service.makeBillOfLading.MakeBillOfLadingService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Component
@Slf4j
public class BmpLineWeightListener extends BpmProcessInstanceResultEventListener {

    @Resource
    OrderExceptionService orderExceptionService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.SHIPMENT_LINE_WEIGHT_ALLOW_OVER.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("---------------------路线重量异常审核回调-----------------------{},{}", event.getBusinessKey(), event.getResult());
        orderExceptionService.weightExceptionCallback(event.getBusinessKey(), event.getResult());
    }
}
