package cn.iocoder.yudao.module.bpm.service.shipment.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.order.OrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Component
@Slf4j
public class BmpShipmentBulkyCargoListener extends BpmProcessInstanceResultEventListener {
    @Resource
    OrderService orderService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.SHIPMENT_BULKY_CARGO.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("---------------------泡货优惠申请审核-----------------------{},{}", event.getBusinessKey(), event.getResult());
        orderService.approvalOrder(event.getBusinessKey(), event.getResult());
    }
}
