package cn.iocoder.yudao.module.bpm.service.shipment.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.orderException.OrderExceptionService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Component
@Slf4j
public class BmpShipmentContinueChannelExceptionListener extends BpmProcessInstanceResultEventListener {

    @Resource
    OrderExceptionService orderExceptionService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.SHIPMENT_CONTINUE_CHANNEL_EXCEPTION.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("-----------------继续不可出渠道异常回调---------------------------{},{}", event.getBusinessKey(), event.getResult());
        orderExceptionService.continueChannelCallback(event.getBusinessKey(), event.getResult());
    }
}
