package cn.iocoder.yudao.module.bpm.service.shipment.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.shipment.service.boxApproval.BoxApprovalService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class BmpShipmentCustomsDeclarePartSplitListener extends BpmProcessInstanceResultEventListener {
    @Resource
    BoxApprovalService boxApprovalService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.SHIPMENT_CUSTOMS_DECLARE_PART_SPLIT.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("---------------------空运部分退场拆单审核-----------------------{},{}", event.getBusinessKey(), event.getResult());
        boxApprovalService.updateBoxApproveResult(WorkFlowEmus.SHIPMENT_CUSTOMS_DECLARE_PART_SPLIT.getKey(), event.getBusinessKey(), event.getResult());
    }

}
