package cn.iocoder.yudao.module.bpm.service.shipment.listener;

import cn.iocoder.yudao.module.bpm.enums.WorkFlowEmus;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.order.service.orderException.OrderExceptionService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;


@Component
@Slf4j
public class BmpShipmentOverweightExceptionListener extends BpmProcessInstanceResultEventListener {


    @Resource
    OrderExceptionService orderExceptionService;

    @Override
    protected String getProcessDefinitionKey() {
        return WorkFlowEmus.SHIPMENT_OVERWEIGHT_EXCEPTION.getKey();
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        log.info("---------------------重量超限异常回调接口-----------------------{},{}", event.getBusinessKey(), event.getResult());
        orderExceptionService.weightExceptionCallback(event.getBusinessKey(), event.getResult());
    }
}
